From c2c1b17940856e2ee0741cf691e873f793e36909 Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 12 Apr 2012 15:23:51 +0200
Subject: [PATCH 2/5] Make Errors.h also usable from C

Change-Id: I72cfb129519f3360270e969fb86fc6050b8a0894
---
 include/utils/Errors.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/frameworks/base/include/utils/Errors.h b/frameworks/base/include/utils/Errors.h
index 0b75b19..a64a9ee 100644
--- a/frameworks/base/include/utils/Errors.h
+++ b/frameworks/base/include/utils/Errors.h
@@ -20,7 +20,9 @@
 #include <sys/types.h>
 #include <errno.h>
 
+#ifdef __cplusplus
 namespace android {
+#endif
 
 // use this type to return error codes
 #ifdef HAVE_MS_C_RUNTIME
@@ -81,7 +83,9 @@ enum {
 # define NO_ERROR 0L
 #endif
 
+#ifdef __cplusplus
 }; // namespace android
+#endif
     
 // ---------------------------------------------------------------------------
     
-- 
1.7.2.5

